libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
kate_curve Struct Reference

`#include <kate.h>`

## Data Fields
kate_curve_type | type
size_t | npts
kate_float * | pts

## Detailed Description

defines a curve

## Field Documentation

size_t kate_curve::npts

number of points in this curve

Referenced by kate_curve_get_point().

kate_float* kate_curve::pts

point coordinates for this curve (2D: npts*2 values)

Referenced by kate_curve_get_point(), and kate_info_clear().

kate_curve_type kate_curve::type

type of the curve

Referenced by kate_curve_get_point().

The documentation for this struct was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_libkate/libkate-0.4.1/include/kate/kate.h